$PackageName = 'alacritty.portable'
$Url64 = 'https://github.com/alacritty/alacritty/releases/download/v0.4.0-rc4/Alacritty-v0.4.0-rc4-windows-portable.zip'
$Checksum64 = 'ae1dcd7005264df200e10349a79864e0a769a3e10745502e0e392797926ba972b340fe4d495dfe82f4034a2b88a1fc8b389304e93d4a7fd91b7c8f2cfe1d2b9b'
$ChecksumType64 = 'sha512'
$ToolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$InstallDir = Join-Path $(Get-ToolsLocation) "alacritty"

$desktop = [System.Environment]::GetFolderPath("Desktop")

$PackageArgs = @{
	PackageName = $PackageName
	Url64 = $Url64
	Checksum64 = $Checksum64
	ChecksumType64 = $ChecksumType64
	UnzipLocation = $InstallDir
}
Install-ChocolateyZipPackage @PackageArgs

Install-BinFile alacritty -path "$InstallDir\alacritty.exe" -UseStart
Install-ChocolateyShortcut -ShortcutFilePath "$desktop\Alacritty.lnk" -TargetPath "$InstallDir\alacritty.exe" -WorkingDirectory "$InstallDir" -WindowStyle 1
